Package weka.gui.beans

# Class BatchClassifierEvent

java.lang.Object
java.util.EventObject
weka.gui.beans.BatchClassifierEvent

All Implemented Interfaces:
  `Serializable`

public class BatchClassifierEvent extends EventObject
Class encapsulating a built classifier and a batch of instances to test on.

Since:
  1.0
Version:
  $Revision: 5782 $
Author:
  Mark Hall
See Also:
  - `EventObject`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BatchClassifierEvent(Object source, Classifier scheme, DataSetEvent trsI, DataSetEvent tstI, int setNum, int maxSetNum)`
Creates a new `BatchClassifierEvent` instance.
`BatchClassifierEvent(Object source, Classifier scheme, DataSetEvent trsI, DataSetEvent tstI, int runNum, int maxRunNum, int setNum, int maxSetNum)`
Creates a new `BatchClassifierEvent` instance.

## Method Summary

Modifier and Type
Method
Description
`Classifier`
`getClassifier()`
Get the classifier
`long`
`getGroupIdentifier()`
`int`
`getMaxRunNumber()`
Get the maximum run number
`int`
`getMaxSetNumber()`
Get the maximum set number (ie the total number of training and testing sets in the series).
`int`
`getRunNumber()`
Get the run number.
`int`
`getSetNumber()`
Get the set number (ie which fold this is)
`DataSetEvent`
`getTestSet()`
Get the test set
`DataSetEvent`
`getTrainSet()`
Get the train set
`void`
`setClassifier(Classifier classifier)`
Set the classifier
`void`
`setGroupIdentifier(long identifier)`
`void`
`setTestSet(DataSetEvent tse)`
Set the test set
`void`
`setTrainSet(DataSetEvent tse)`
Set the training set

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BatchClassifierEvent

public BatchClassifierEvent(Object source, Classifier scheme, DataSetEvent trsI, DataSetEvent tstI, int setNum, int maxSetNum)
Creates a new `BatchClassifierEvent` instance.

Parameters:
  `source` - the source object
  `scheme` - a Classifier
  `trsI` - the training instances used to train the classifier
  `tstI` - the test instances
  `setNum` - the set number of the test instances
  `maxSetNum` - the last set number in the series

### BatchClassifierEvent

public BatchClassifierEvent(Object source, Classifier scheme, DataSetEvent trsI, DataSetEvent tstI, int runNum, int maxRunNum, int setNum, int maxSetNum)
Creates a new `BatchClassifierEvent` instance.

Parameters:
  `source` - the source object
  `scheme` - a Classifier
  `trsI` - the training instances used to train the classifier
  `tstI` - the test instances
  `runNum` - the run number
  `maxRunNum` - the maximum run number
  `setNum` - the set number of the test instances
  `maxSetNum` - the last set number in the series

## Method Details

### getClassifier

public Classifier getClassifier()
Get the classifier

Returns:
  the classifier

### setClassifier

public void setClassifier(Classifier classifier)
Set the classifier

Parameters:
  `classifier` - the classifier

### setTestSet

public void setTestSet(DataSetEvent tse)
Set the test set

Parameters:
  `tse` - the test set

### getTestSet

public DataSetEvent getTestSet()
Get the test set

Returns:
  the test set

### setTrainSet

public void setTrainSet(DataSetEvent tse)
Set the training set

Parameters:
  `tse` - the training set

### getTrainSet

public DataSetEvent getTrainSet()
Get the train set

Returns:
  the training set

### getRunNumber

public int getRunNumber()
Get the run number.

Returns:
  the run number

### getMaxRunNumber

public int getMaxRunNumber()
Get the maximum run number

Returns:
  the maximum run number

### getSetNumber

public int getSetNumber()
Get the set number (ie which fold this is)

Returns:
  the set number for the training and testing data sets encapsulated in this event

### getMaxSetNumber

public int getMaxSetNumber()
Get the maximum set number (ie the total number of training and testing sets in the series).

Returns:
  the maximum set number

### setGroupIdentifier

public void setGroupIdentifier(long identifier)

### getGroupIdentifier

public long getGroupIdentifier()